> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a list

> Creates a new list within the given project id.



## OpenAPI

````yaml /openapi/platform/projects.yaml POST /v1/projects/{PROJECT_ID}/lists
openapi: 3.1.0
info:
  title: Projects and Tasks API
  version: '1.0'
  description: "“Projects and Tasks” is a project management tool that helps you take real action with simple planning, assigning, and task-tracking features. You can create projects with various tasks and assignments. Those tasks exist within swim lanes or lists, and can be moved from list to list to show progress through a particular workflow. You can use default lists or create new custom lists. You can also add attachments to individual tasks to reference relevant materials and other artifacts.\n\n<!-- theme: info -->\n> ### Note\n>\n>You will need to ensure that your client application has access to the Workflow scope in order to access the Projects and Tasks endpoints.\n\n## The project object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\nname | String | The name of the project\nid | String | The ID of the project\nmembers | Long | The ID's of the members of the project\ncreatedBy | Long | The ID of the user who created the project\ncreatedDate | Date | Date the project was created\npublic | Boolean | whether or not the project is a public project\ndescription | String | Description of the project\ndueDate | Date | Due date of the project\n\n## The list object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| name\t| String | The name of the List.|\n| id | String\t| The ID of the List.|\n| type | String\t| The type of List (i.e. `TODO`, `WORKING_ON`, `COMPLETED`).|\n| index\t| Long | The ordered index of the list within the project.|\n\n## The task object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n|id | String | The ID of the task.|\n|projectId | String | The ID of the project that the task belongs to.|\n|projectListId\t| tring\t| The ID of the list within a project that the task belongs to.|\n|taskName | String | The name of the task.|\n|description | String\t| An optional description of the task.|\n|createdDate | ate | The date the task was created.|\n|dueDate | Date | The date the task is expected to be completed.|\n|priority | Long | The prioritized order of the task in a list.|\n|createdBy | Long | The ID of the Domo user that created the task.|\n|ownedBy | Long | The ID of the Domo user that owns the task.|\n|contributors | Long | An array of user IDs that are assigned as contributors to the task.|\n|attachmentCount | Long\t| The number of attachments that task has.|\n|tags | String\t| An array of tags that have been assigned to the task.|\n|archived | Boolean | Whether or not the task has been archived.|"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/projects/{PROJECT_ID}/lists:
    parameters:
      - schema:
          type: string
        name: PROJECT_ID
        in: path
        required: true
        description: The ID of the project
    post:
      summary: Create a list
      description: Creates a new list within the given project id.
      operationId: create-a-list
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: The name of the List
          required: true
        - schema:
            type: string
          in: query
          name: type
          required: true
          description: The type of List (i.e. `TODO`, `WORKING_ON`, `COMPLETED`)
        - schema:
            type: integer
          in: query
          name: index
          description: >-
            The ordered index of the list within the project. Setting this
            property will re-order other lists in the project to maintain
            sequential order. Leaving this property blank will default the index
            to 1 and shift the index of all other lists.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                type:
                  type: string
                index:
                  type: integer
              x-examples:
                Example 1:
                  name: Needs Validation
                  type: TODO
                  index: 3
            examples:
              Example 1:
                value:
                  name: Needs Validation
                  type: TODO
                  index: 3
        description: The request body accepts a list object.
      responses:
        '200':
          description: Returns a list object when successful.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  index:
                    type: integer
                x-examples:
                  Example 1:
                    id: '13'
                    name: Needs Validation
                    type: TODO
                    index: 3
              examples:
                Example 1:
                  value:
                    id: '13'
                    name: Needs Validation
                    type: TODO
                    index: 3
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````